"""URL patterns for the karma views."""

from django.conf.urls import patterns, url, include
from rest_framework.routers import DefaultRouter

from karma.views import key_detail, index, KarmaKeyViewSet

router = DefaultRouter()
router.register(r'keys', KarmaKeyViewSet)

urlpatterns = patterns('races.views',
    url(r'^$', index, name='karma_index'),
    url(r'^key/(?P<karma_key>.+)/', key_detail, name='karma_key_detail'),

    url(r'^api/', include(router.urls)),
)
